ViennaCL - The Vienna Computing Library 1.7.0 Free open-source GPU-accelerated linear algebra and solver library. |

Public Member Functions | Public Attributes
viennacl::device_specific::row_wise_reduction_parameters Struct Reference

`#include <row_wise_reduction_template.hpp>`

Inheritance diagram for viennacl::device_specific::row_wise_reduction_parameters:

List of all members.

## Public Member Functions

| row_wise_reduction_parameters (unsigned int _simd_width, unsigned int _local_size_0, unsigned int _local_size_1, unsigned int _num_groups_0, fetching_policy_type _fetch_policy)

## Public Attributes

unsigned int | num_groups_0
fetching_policy_type | fetch_policy

## Detailed Description

Definition at line 47 of file row_wise_reduction_template.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::row_wise_reduction_parameters::row_wise_reduction_parameters | ( | unsigned int | _simd_width,
|  | unsigned int | _local_size_0,
|  | unsigned int | _local_size_1,
|  | unsigned int | _num_groups_0,
|  | fetching_policy_type | _fetch_policy
| ) |  | `[inline]`

Definition at line 49 of file row_wise_reduction_template.hpp.

## Member Data Documentation

fetching_policy_type viennacl::device_specific::row_wise_reduction_parameters::fetch_policy

Definition at line 55 of file row_wise_reduction_template.hpp.

unsigned int viennacl::device_specific::row_wise_reduction_parameters::num_groups_0

Definition at line 54 of file row_wise_reduction_template.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/templates/row_wise_reduction_template.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines